Summary: A library of Python code used by various Red Hat Linux programs.
Name: pythonlib
Version: 1.28
Release: 1
Copyright: GPL
Group: System Environment/Libraries
Source: pythonlib-%{version}.tar.bz2
Requires: python, control-panel
Conflicts: modutils < 2.3.11-5
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/pythonlib-root

%description
The pythonlib package contains Python code used by a variety of Red
Hat Linux programs.  Pythonlib includes code needed for multifield
listboxes and entry widgets with non-standard keybindings, among other
things.

%prep
%setup -q

%build

%install
make install PREFIX=$RPM_BUILD_ROOT LIBDIR=%{_libdir}/rhs/python/

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES
/usr/lib/rhs/python

%changelog
* Wed Aug 30 2000 Nalin Dahyabhai <nalin@redhat.com>
- Conf: remove support for multiple values in sysctl.conf to fix netcfg

* Wed Aug  2 2000 Nalin Dahyabhai <nalin@redhat.com>
- Dialog: make sure the title gets set (#15113)
- make it buildable from CVS

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 26 2000 Nalin Dahyabhai <nalin@redhat.com>
- integrate syntax fix in declaration of _mk_crypt_salt() from Man-Yong Lee

* Thu Jun  1 2000 Bill Nottingham <notting@redhat.com>
- modules.confiscation

* Thu May 11 2000 Nalin Dahyabhai <nalin@redhat.com>
- add Requires: control-panel, because rhentry.py needs graphic files (#11213)

* Thu Mar 30 2000 Nalin Dahyabhai <nalin@redhat.com>
- add Sysctl type to Conf.py

* Fri Sep 10 1999 Bill Nottingham <notting@redhat.com>
- oops, actualy release fixed version. ;)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Mon Mar 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0, incorportated changes, changed spec file.

* Thu Feb 11 1999 Peter Hanecak <hanecak@megaloman.sk>
- updated to build as non-root user

* Fri Jul 10 1998 Michael Maher <mike@redhat.com> 
- patched Conf.py so that kernelcfg works.
- added Buildroot.


* Fri Nov 07 1997 Michael K. Johnson <johnsonm@redhat.com>
- Added some stuff to deal with -k

* Tue Nov 04 1997 Michael K. Johnson <johnsonm@redhat.com>
- do not require tkinter; apps that explicitly use tkinter through
- pythonlib should require tkinter themselves.


* Mon Nov 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- require tkinter

* Fri Oct 31 1997 Michael K. Johnson <johnsonm@redhat.com>
- ConfFstab for cabaret

* Mon Sep 29 1997 Michael K. Johnson <johnsonm@redhat.com>

Major changes for new version of netcfg.
- Clone files keep differences in some way appropriate to the type of file.
- RCS management of almost all files (all but password-type files) -- just
  create a subdirectory called RCS in any directory where you want to
  monitor changes made by control-panel tools that use pythonlib.  That
  can also be a symlink, but watch for filename conflicts.
- Smart chatfile handling that knows something about the contents of a
  chatfile.
- Far better algorithm for finding free user and group ids: first do the
  old sparse search, then if that fails, search for first free id.  This
  algorithm is used for both user and group ids.
- EntryBox class is a toplevel that provides a single entry in a modal manner.

Also made it a noarch package.

* Mon Aug 11 1997 Michael K. Johnson <johnsonm@redhat.com>
- Added fix for shadow files.  (Not a CVS branch; change made in master as well)

* Mon Jun 02 1997 Michael K. Johnson <johnsonm@redhat.com>
- Added proper error raising and error-on-missing files for kernelcfg.

* Mon Apr 21 1997 Michael K. Johnson <johnsonm@redhat.com>
- Fields terminated only by separator or end of line.

* Fri Mar 28 1997 Michael K. Johnson <johnsonm@redhat.com>
- Fixed quoted ampersand in ConfShellVar

* Wed Mar 12 1997 Michael K. Johnson <johnsonm@redhat.com>

Fixed quoted equals in ConfShellVar

* Wed Mar 05 1997 Michael K. Johnson <johnsonm@redhat.com>

Changed to /etc/ppp/pap-secrets

* Wed Feb 26 1997 Michael K. Johnson <johnsonm@redhat.com>

Added class for managing /etc/pap-secrets.
Improved class for managing /etc/sysconfig/static-routes
